Loading...
Searching...
No Matches
CSceneEndCondition Class Referencefinal

Scene end condition. More...

`#include <src/level/scene_conditions.h>`

Inheritance diagram for CSceneEndCondition:
[legend]

## Public Member Functions

void | Read (CLevelParserLine *line) override
| Read from line in scene file.
bool | CheckLost ()
| Checks if lost condition is met.
Error | GetMissionResult ()
| Get mission result.
Public Member Functions inherited from CSceneCondition
bool | Check ()
| Checks if this condition is met.
Public Member Functions inherited from CObjectCondition
bool | CheckForObject (CObject *obj)
| Checks if this condition is met.
int | CountObjects ()
| Count all object matching the conditions.

## Public Attributes

int | winTeam = 0
int | lost = -1
bool | immediat = false
| If this is true, the mission ends as soon as this requirement is met, without having to complete the others.
Public Attributes inherited from CSceneCondition
int | min = 1
int | max = 9999
Public Attributes inherited from CObjectCondition
Math::Vector | pos = Math::Vector(0.0f, 0.0f, 0.0f)*g_unit
float | dist = 8.0f*g_unit
ObjectType | type = OBJECT_NULL
float | powermin = -1
float | powermax = 100
ToolType | tool = ToolType::Other
DriveType | drive = DriveType::Other
bool | countTransported = true
int | team = 0

## Detailed Description

Scene end condition.

## Member Function Documentation

## Read()

void CSceneEndCondition::Read | ( | CLevelParserLine * | line | ) |

override virtual

Read from line in scene file.

Reimplemented from CSceneCondition.

## CheckLost()

bool CSceneEndCondition::CheckLost | ( |  | ) |

Checks if lost condition is met.

## GetMissionResult()

Error CSceneEndCondition::GetMissionResult | ( |  | ) |

Get mission result.

## Member Data Documentation

## immediat

bool CSceneEndCondition::immediat = false

If this is true, the mission ends as soon as this requirement is met, without having to complete the others.

The documentation for this class was generated from the following files:

- src/level/scene_conditions.h
- src/level/scene_conditions.cpp